Data Rules
List a rule's results
Returns rule_results for the rule, paginated. Defaults to the latest version unless
version is provided. Filter with status=pass|fail|dismissed and independently with
approval_state=pending|approved|rejected for data-point rules. A pending proposal
still has status pass. Invalid approval states or use on a model rule return 422.
GET
/
projects
/
{project_id}
/
rules
/
{rule_id}
/
results
List rule results
curl --request GET \
--url https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results \
--header 'Authorization: <api-key>'import requests
url = "https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "dpres_…",
"status": "pass",
"entered_value": "<string>",
"corrected": true,
"rule_id": "<string>",
"rule_version": 123,
"rule_name": "<string>",
"data_point_id": "<string>",
"data_point_slug": "<string>",
"dismissed_at": "2023-11-07T05:31:56Z",
"dismissed_by": "<string>",
"dismissal_reason": "<string>",
"rejected_at": "2023-11-07T05:31:56Z",
"rejected_by": "<string>",
"rejection_reason": "<string>",
"approval_state": "pending",
"proposed_correction": {
"proposed_value": 123,
"method": "<string>",
"derivation": {}
},
"evaluated_at": "2023-11-07T05:31:56Z"
}
],
"info": {
"items": 2,
"page_size": 20,
"total_items": 2,
"current_page": 1,
"next_page": 123,
"previous_page": 123,
"total_pages": 1,
"sort": [
{
"field": "<string>",
"direction": "asc"
}
],
"filter": [
{
"field": "<string>",
"comparator": "eq",
"value": "<unknown>"
}
],
"fields": [
"<string>"
]
}
}Path Parameters
Query Parameters
⌘I
List rule results
curl --request GET \
--url https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results \
--header 'Authorization: <api-key>'import requests
url = "https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.gomangrove.com/api/v1/projects/{project_id}/rules/{rule_id}/results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "dpres_…",
"status": "pass",
"entered_value": "<string>",
"corrected": true,
"rule_id": "<string>",
"rule_version": 123,
"rule_name": "<string>",
"data_point_id": "<string>",
"data_point_slug": "<string>",
"dismissed_at": "2023-11-07T05:31:56Z",
"dismissed_by": "<string>",
"dismissal_reason": "<string>",
"rejected_at": "2023-11-07T05:31:56Z",
"rejected_by": "<string>",
"rejection_reason": "<string>",
"approval_state": "pending",
"proposed_correction": {
"proposed_value": 123,
"method": "<string>",
"derivation": {}
},
"evaluated_at": "2023-11-07T05:31:56Z"
}
],
"info": {
"items": 2,
"page_size": 20,
"total_items": 2,
"current_page": 1,
"next_page": 123,
"previous_page": 123,
"total_pages": 1,
"sort": [
{
"field": "<string>",
"direction": "asc"
}
],
"filter": [
{
"field": "<string>",
"comparator": "eq",
"value": "<unknown>"
}
],
"fields": [
"<string>"
]
}
}